Subject: Re: [GSoC] [PATCH] builtin/gc: Replace run_command with C function refs_pack_refs

From: Junio C Hamano <[email-masked]>
Date: Wed, 27 Mar 2024 21:31:43 -0700

vk <[email-masked]> writes:

> I forgot to add this --auto optional logic. Will add it in the
> following patch.

Please slow down a bit.  If you notice a problem in the patch you
just posted within 7 minutes after posting it, there is a good
chance that you are rushing it without carefully proofreading.

You'd be better off if you give yourself some time to think about
what you wrote, after drafting your patch.  Sleep on it, if needed.

There are issues in the patch.  Trying to spot them yourself would
give you a good exercise.  Documentation/SubmittingPatches and
Documentation/CodingGuidelines would be useful.

Thanks for your interest in Git development.